Page MenuHomePhabricator

Homepage of closed wiki got.wikibooks.org is missing: HTTP 404
Open, Needs TriagePublic

Description

$ curl -I -L "https://got.wikibooks.org/"
HTTP/2 301 
date: Sun, 17 Mar 2019 19:25:06 GMT
content-type: text/html; charset=utf-8
content-length: 0
location: https://got.wikibooks.org/wiki/Haubidaseido(ac)
server: mw1267.eqiad.wmnet
x-powered-by: HHVM/3.18.6-dev
p3p: CP="This is not a P3P policy! See https://got.wikibooks.org/wiki/Special:CentralAutoLogin/P3P for more info."
cache-control: s-maxage=1200, must-revalidate, max-age=0
x-content-type-options: nosniff
last-modified: Sun, 17 Mar 2019 19:22:22 GMT
backend-timing: D=44550 t=1552850542858161
vary: Accept-Encoding,X-Forwarded-Proto,Cookie,Authorization,X-Seven
x-varnish: 126371440, 48640713 43988287, 860823743 863802864
via: 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1)
age: 163
x-cache: cp1079 pass, cp3040 hit/1, cp3041 hit/1
x-cache-status: hit-front
server-timing: cache;desc="hit-front"
strict-transport-security: max-age=106384710; includeSubDomains; preload
set-cookie: WMF-Last-Access=17-Mar-2019;Path=/;HttpOnly;secure;Expires=Thu, 18 Apr 2019 12:00:00 GMT
set-cookie: WMF-Last-Access-Global=17-Mar-2019;Path=/;Domain=.wikibooks.org;HttpOnly;secure;Expires=Thu, 18 Apr 2019 12:00:00 GMT
x-analytics: https=1;nocookies=1
x-client-ip: 2a02:168:6062:0:f5a4:e0ff:c93:da0c
set-cookie: GeoIP=CH:ZH:Zurich:47.37:8.55:v4; Path=/; secure; Domain=.wikibooks.org

HTTP/2 404 
date: Sun, 17 Mar 2019 19:25:06 GMT
content-type: text/html; charset=UTF-8
server: mw1246.eqiad.wmnet
x-content-type-options: nosniff
p3p: CP="This is not a P3P policy! See https://got.wikibooks.org/wiki/Special:CentralAutoLogin/P3P for more info."
x-powered-by: HHVM/3.18.6-dev
content-language: got
content-security-policy-report-only: script-src 'unsafe-eval' 'self' meta.wikimedia.org *.wikimedia.org *.wikipedia.org *.wikinews.org *.wiktionary.org *.wikibooks.org *.wikiversity.org *.wikisource.org wikisource.org *.wikiquote.org *.wikidata.org *.wikivoyage.org *.mediawiki.org 'unsafe-inline'; default-src 'self' data: blob: upload.wikimedia.org https://commons.wikimedia.org meta.wikimedia.org *.wikimedia.org *.wikipedia.org *.wikinews.org *.wiktionary.org *.wikibooks.org *.wikiversity.org *.wikisource.org wikisource.org *.wikiquote.org *.wikidata.org *.wikivoyage.org *.mediawiki.org wikimedia.org; style-src 'self' data: blob: upload.wikimedia.org https://commons.wikimedia.org meta.wikimedia.org *.wikimedia.org *.wikipedia.org *.wikinews.org *.wiktionary.org *.wikibooks.org *.wikiversity.org *.wikisource.org wikisource.org *.wikiquote.org *.wikidata.org *.wikivoyage.org *.mediawiki.org wikimedia.org 'unsafe-inline'; report-uri /w/api.php?action=cspreport&format=json&reportonly=1&
backend-timing: D=80017 t=1552850530784094
vary: Accept-Encoding,Cookie,Authorization,X-Seven
x-varnish: 907682558, 44709509, 857513435 861145317
via: 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1)
age: 175
x-cache: cp1089 pass, cp3040 miss, cp3041 hit/5
x-cache-status: hit-front
server-timing: cache;desc="hit-front"
strict-transport-security: max-age=106384710; includeSubDomains; preload
set-cookie: WMF-Last-Access=17-Mar-2019;Path=/;HttpOnly;secure;Expires=Thu, 18 Apr 2019 12:00:00 GMT
set-cookie: WMF-Last-Access-Global=17-Mar-2019;Path=/;Domain=.wikibooks.org;HttpOnly;secure;Expires=Thu, 18 Apr 2019 12:00:00 GMT
x-analytics: https=1;nocookies=1
x-client-ip: 2a02:168:6062:0:f5a4:e0ff:c93:da0c
cache-control: private, s-maxage=0, max-age=0, must-revalidate
set-cookie: GeoIP=CH:ZH:Zurich:47.37:8.55:v4; Path=/; secure; Domain=.wikibooks.org

Event Timeline

Kelson created this task.Mar 17 2019, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2019, 7:26 PM
Krenair renamed this task from got.wikipedia.org homepage is missing: HTTP 404 to got.wikibooks.org homepage is missing: HTTP 404.Mar 17 2019, 7:27 PM
Reedy added a subscriber: Reedy.Mar 17 2019, 7:28 PM
This comment was removed by Reedy.
Krenair added a subscriber: Krenair.EditedMar 17 2019, 7:28 PM

gotwiki is fine (I believe the title was mistaken as the description is about wikibooks), it's gotwikibooks that has a 404 for a main page... note gotwikibooks is closed

@Krenair Any chance to have a valid homepage? Even if the wiki is closed?

I guess stewards are able to do this? cc @revi @MarcoAurelio

Reedy added a comment.Mar 17 2019, 7:44 PM

What're we going to put there instead?

The text was as below at deletion

* Wileis þu saihwan Wikibokos miþ [[Haubidaseido|rumanai gameileinai]] ?

* 𐌸𐌰𐌿 𐍅𐌹𐌻𐌴𐌹𐍃 𐌸𐌿 𐍃𐌰𐌹𐌷𐍅𐌰𐌽 𐍅𐌹𐌺𐌹𐌱𐍉𐌺𐍉𐍃 𐌼𐌹𐌸 [[𐌷𐌰𐌿𐌱𐌹𐌳𐌰𐍃𐌴𐌹𐌳𐍉|𐌲𐌿𐍄𐌹𐍃𐌺𐌰𐌹 𐌲𐌰𐌼𐌴𐌹𐌻𐌴𐌹𐌽𐌰𐌹]] ?

<div style="font-size:150%;background-color:#FF9F70;border:solid 3px slategray;padding:10px;">
This project was closed per [[m:Proposals for closing projects/Closure of Gothic Wikibooks]]


If you wish to contribute, please go to '''>>>[[incubator:Wb/got|the development project]]<<<''', thanks.
</div>
Aklapper renamed this task from got.wikibooks.org homepage is missing: HTTP 404 to Homepage of closed wiki got.wikibooks.org is missing: HTTP 404.Mar 17 2019, 8:01 PM
MarcoAurelio added a comment.EditedMar 17 2019, 9:20 PM

There's a sitenotice explaining that the wiki is closed and linking too to Incubator. What needs to be done? Isn't sitenotice enough?

Also, https://got.wikibooks.org doesn't return 404 for me.

Dcljr added a subscriber: Dcljr.EditedMar 18 2019, 12:49 AM

In a modern web-browser, you get a regular looking wiki page with a sitenotice and deletion notice, as discussed above.

I don't have access to 'curl' at the moment, but 'wget' says essentially the same thing (as the 'curl' output above): 301 Moved Permanently, then 404: Not Found.

Same result for ak (Akan), bo (Tibetan), ga (Irish), gn (Guarani), ks (Kashmiri), ln (Lingala), mi (Maori), my (Burmese), & nah (Nahuatl) — although only some of these have a deletion notice. And those are just the Wikibooks. (The rest of the closed Wikibooks have some kind of Main Page [even if it's empty].)

So, this seems to be a convention of sorts.

revi removed a subscriber: revi.Mar 18 2019, 12:57 AM
Reedy added a comment.Mar 18 2019, 1:04 AM

Noting 404 is basically MW convention for a page not existing (even if it displays nicely in a browser)

$ curl -L -I "https://en.wikipedia.org/wiki/T218520"
HTTP/2 404 
date: Mon, 18 Mar 2019 01:03:46 GMT
content-type: text/html; charset=UTF-8
server: mw1263.eqiad.wmnet
x-content-type-options: nosniff
p3p: CP="This is not a P3P policy! See https://en.wikipedia.org/wiki/Special:CentralAutoLogin/P3P for more info."
x-powered-by: HHVM/3.18.6-dev
content-language: en
backend-timing: D=257361 t=1552871026282929
vary: Accept-Encoding,Cookie,Authorization,X-Seven
x-varnish: 761314963, 121487595, 349405693
via: 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1), 1.1 varnish (Varnish/5.1)
age: 0
x-cache: cp1079 pass, cp3032 miss, cp3041 miss
x-cache-status: miss
server-timing: cache;desc="miss"
strict-transport-security: max-age=106384710; includeSubDomains; preload
set-cookie: WMF-Last-Access=18-Mar-2019;Path=/;HttpOnly;secure;Expires=Fri, 19 Apr 2019 00:00:00 GMT
set-cookie: WMF-Last-Access-Global=18-Mar-2019;Path=/;Domain=.wikipedia.org;HttpOnly;secure;Expires=Fri, 19 Apr 2019 00:00:00 GMT
x-analytics: ns=0;https=1;nocookies=1
x-client-ip: xx.xx.xx.xx
cache-control: private, s-maxage=0, max-age=0, must-revalidate
set-cookie: GeoIP=GB:ENG:Nottingham:52.91:-1.04:v4; Path=/; secure; Domain=.wikipedia.org
Base added a subscriber: Base.Apr 29 2019, 10:10 PM